Commits

Miki Tebeka committed 7b7b7b0

Using Pygments until bitbucket fixes their embedding

Comments (0)

Files changed (1)

+#!/bin/bash
+# Generate HTML of code to blog
+
+# Miki Tebeka <miki@mikitebeka.com>
+
+if [ $# -lt 1 ] || [ $# -gt 2 ]; then
+    echo "usage: $0 FILE [TYPE]"
+    exit 1
+fi
+
+filename=$1
+if [ ! -f "$filename" ]; then
+    echo "error: can't find $filename"
+    exit 1
+fi
+
+type=$2
+if [ -z "$type" ]; then
+    # "#!/usr/bin/env python" -> "python"
+    type=$(head -1 "$filename" | xargs -i basename {} | 
+           sed -e 's/env //' -e 's/[<>]//g')
+fi
+
+pygmentize -l $type -f html "$filename"
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.